Subject: Re: xmlto package install question
From: Patrick Eisenacher <[email-masked]>
To: [email-masked]
Date: Sun, 03 Aug 2003 16:01:43 +0200

Ok, glad to hear I'm not the only one with this behaviour. That leads to
the question why they were removed in the first place. Marcel, how about
putting them back into the distribution?

Copying the missing pdf files from the source tarball into the
installation directory lets xmlto access an installed pdf toolchain
(passivetex and xmltex).

I'll inform Tim about the wrong order of format and options in the help 
info. The man pages have the proper order already.

Patrick

Gerrit P. Haase schrieb:

> Hallo Patrick,
> 
> Am Samstag, 2. August 2003 um 11:57 schriebst du:
> 
> 
>>Hi,
> 
> 
>>my Cygwin xmlto installation (v0.0.14) is missing all the fo formats 
>>(dvi, pdf, ps) in /usr/share/xmlto/format/docbook, and the fo subfolder 
>>is missing from the /usr/share/xmlto/format/ directory completely. 
>>Without those files xmlto is unable to create the corresponding target 
>>document formats (provided the corresponding toolchain is installed).
> 
> 
>>Talking to Tim Waugh, the author of xmlto, revealed that all formats are 
>>installed unconditionally. So I wonder why they didn't get installed on 
>>my system.
> 
> 
>>Is anybody else missing those files or do they get installed on your 
>>systems? In particular the files in question are:
> 
> 
> Yes, and looking in the source package I see in the patch:
> 
> -nobase_pkgdata_DATA = format/docbook/dvi \
> +nobase_pkgdata_DATA = \
>         format/docbook/fo \
>         format/docbook/html \
>         format/docbook/html-nochunks \
>         format/docbook/xhtml \
>         format/docbook/xhtml-nochunks \
>         format/docbook/man \
> -       format/docbook/pdf \
> -       format/docbook/ps \
>         format/docbook/txt \
>         format/docbook/htmlhelp \
>         format/docbook/javahelp \
> -       format/fo/dvi \
> -       format/fo/pdf \
> -       format/fo/ps \
>         xmlto.mak
> 
> 
> Also I think that it doesn't work as expected, i.e. no error is
> displayed when s.th. fails, just the usage information which is not
> helpful for finding the error:
> 
> $ make 2>&1 | tee log.make02
> make  all-am
> make[1]: Entering directory `/e/ftp.inf.tu-dresden.de/software/windows/cygwin32/release/xmlto/xmlto-0.0.14'
> for xml in xmlif.xml xmlto.xml; do \
>   FORMAT_DIR=./format XSL_DIR=/usr/share/sgml/docbook-xsl \
>    bash ./xmlto man -o man/man1 ./doc/$xml ; \
> done
> usage: xmlto FORMAT [OPTION]... XML
> OPTIONs are:
>   -v              verbose output (-vv for very verbose)
>   -x stylesheet   use the specified stylesheet instead of choosing one
>   -m fragment     use the XSL fragment to customize the stylesheet
>   -o directory    put output in the specified directory instead of
>                   the current working directory
> 
> 
> It only works if you swap 'FORMAT [OPTIONS]' to '[OPTIONS] FORMAT'
> which is what I found in the patch included in the source package.
> 
> Also this annoying behaviour is not documented in the README or
> elsewhere (besides the patch in the source package).
> 
> Also to send upstream:
> It is not possible to specify an alternative to
> 'XSL_DIR=$(top_srcdir)/xsl' when running configure which makes it
> neccessary to manually link the xsl directory to the sourcedir or to
> manually edit the Makefile templates.
> 
> 
> Gerrit

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/